Issue 11145

Title
Missing call to set_modified in sao
Priority
bug
Status
resolved
Nosy list
ced, nicoe, pokoli, reviewbot, roundup-bot
Assigned to
nicoe
Keywords
review

Created on 2022-01-18.10:51:12 by nicoe, last changed 8 months ago by roundup-bot.

Messages

New changeset 903aa15f4295 by Nicolas Évrard in branch '6.0':
Propagate changed status to parent on instance button activation
https://hg.tryton.org/sao/rev/903aa15f4295

New changeset 28e326b81486 by Nicolas Évrard in branch '5.0':
Propagate changed status to parent on instance button activation
https://hg.tryton.org/sao/rev/28e326b81486
New changeset 4b5e6140185e by Nicolas Évrard in branch '6.2':
Propagate changed status to parent on instance button activation
https://hg.tryton.org/tryton-env/rev/4b5e6140185e

New changeset 02e14e694958 by Nicolas Évrard in branch 'default':
Add missing call to set_modified
https://hg.tryton.org/tryton-env/rev/02e14e694958
New changeset a5bef51d8277 by Nicolas Évrard in branch '6.2':
Propagate changed status to parent on instance button activation
https://hg.tryton.org/sao/rev/a5bef51d8277

New changeset 88f490d93bc5 by Nicolas Évrard in branch 'default':
Add missing call to set_modified
https://hg.tryton.org/sao/rev/88f490d93bc5
Author: [hidden] (nicoe) Tryton committer
Date: 2022-01-18.11:23:31
* Cédric Krier  [2022-01-18 11:14 +0100]: 
>
>Cédric Krier <cedric.krier@b2ck.com> added the comment:
>
>Could you make a patch for 6.2 where issue11059 was not yet implemented.

Yes of course I'm already working on it.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-01-18.11:14:19

Could you make a patch for 6.2 where issue11059 was not yet implemented.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2022-01-18.11:12:44

I seen this should be backported, I seen a wrong behaviour on 6.0 series that my be related to this change.

Did you know were the bug was introduced?

Author: [hidden] (nicoe) Tryton committer
Date: 2022-01-18.10:51:12

Sao misses a call to set_modified when an instance button is pressed.

History
Date User Action Args
2022-02-07 23:36:48roundup-botsetkeyword: - backport
messages: + msg73946
2022-02-03 16:40:09cedsetkeyword: + backport
2022-02-03 16:27:45roundup-botsetmessages: + msg73746
2022-02-03 16:22:29roundup-botsetkeyword: - backport
messages: + msg73745
nosy: + roundup-bot
status: testing -> resolved
2022-01-25 13:15:39reviewbotsetmessages: + msg73526
2022-01-25 09:43:19reviewbotsetmessages: + msg73521
2022-01-24 17:38:46pokolisetreviews: 355901002 -> 355901002,389711002
2022-01-18 11:23:31nicoesetmessages: + msg73284
2022-01-18 11:17:34reviewbotsetmessages: + msg73282
nosy: + reviewbot
2022-01-18 11:14:19cedsetmessages: + msg73281
nosy: + ced

Showing 10 items. Show all history (warning: this could be VERY long)